package cn.com.poc.law.service;

import cn.com.poc.law.dto.BizAiLawyerWritingTemplateDto;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.law.entity.BizAiLawyerWritingTemplateEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Arrays;
import java.util.Collection;
import java.util.List;

public interface BizAiLawyerWritingTemplateService extends BaseService {

    BizAiLawyerWritingTemplateEntity get(java.lang.Integer id) throws Exception;

    List<BizAiLawyerWritingTemplateEntity> findByExample(BizAiLawyerWritingTemplateEntity example, PagingInfo pagingInfo) throws Exception;

    BizAiLawyerWritingTemplateEntity save(BizAiLawyerWritingTemplateEntity entity) throws Exception;

    BizAiLawyerWritingTemplateEntity update(BizAiLawyerWritingTemplateEntity entity) throws Exception;

    List<BizAiLawyerWritingTemplateEntity> getByType(String templateType) throws Exception;

    List<BizAiLawyerWritingTemplateEntity> getTemplateWritingList() throws Exception;
}